> For the complete documentation index, see [llms.txt](https://docs.nosto.com/salesforce/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/salesforce/configuring/configuring-sitegenesis.md).

# On SiteGenesis

This document outlines adding the Nosto tagging into SiteGenesis store front. Below you can find a list of template files and a code snippet what to add to a specific template file. The paths for template files given below are based on SiteGenesis so you must make sure they to add the code snippets in their relevant cartridge.

## htmlhead.isml

Adds Nosto include script to all pages (html head).

Path: `SiteGenesis_core/cartridge/templates/default/components/header/htmlhead.isml`

```
<iscomment>NOSTO Script Tag</iscomment>
<isinclude template="nostoHeaderScript"/>
```

![image](https://user-images.githubusercontent.com/15191701/53884422-385b0400-4024-11e9-91d6-ea9b06ca0a0d.png)

## pt\_storefront.isml

Adds page type tagging to the home page / front page of a store.

Path: `SiteGenesis_core/cartridge/templates/default/content/home/pt_storefront.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getHomePageTypeTag()}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53884650-c636ef00-4024-11e9-9d15-83bf03982b3a.png)

## pt\_cart.isml

Adds page type tagging to the cart page.

Path: `SiteGenesis_core/cartridge/templates/default/checkout/cart/pt_cart.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getCartPageTypeTag()}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53884769-fed6c880-4024-11e9-971f-081fe14b5c89.png)

## footer.isml

Adds cart tagging to all pages.

Path: `SiteGenesis_core/cartridge/templates/default/components/footer/footer.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getCustomerTags(pdict.currentCustomer)}" encoding="off"/>
<isprint value="${nostoHelper.getCartTag()}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53884907-3b0a2900-4025-11e9-933b-3e4190d54eb9.png)

## pt\_productdetails.isml

Adds product tagging to product detail pages.

Path: `SiteGenesis_core/cartridge/templates/default/product/pt_productdetails.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getProductTags(pdict.Product)}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53884977-5e34d880-4025-11e9-90c7-42e43fb4d446.png)

## pt\_categorylanding.isml

Adds category tagging into category pages.

Path: `SiteGenesis_core/cartridge/templates/default/search/pt_categorylanding.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getCategoryTags(pdict.CurrentHttpParameterMap.cgid)}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53885184-c4216000-4025-11e9-870b-5d3ab29c8b28.png)

## pt\_productsearchresult.isml

Adds category tagging to search results page.

Path: `SiteGenesis_core/cartridge/templates/default/search/pt_productsearchresult.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getCategoryTags(pdict.CurrentHttpParameterMap.cgid)}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53885253-ec10c380-4025-11e9-95a8-9bb6a9945d12.png)

## pt\_orderconfirmation.isml

Adds order tagging to order confirmation page.

Path: `SiteGenesis_core/cartridge/templates/default/checkout/pt_orderconfirmation.isml`

```
<isscript>
    var nostoHelper = require('int_nosto/cartridge/scripts/helpers/nostoHelper').getNostoHelper();
</isscript>
<isprint value="${nostoHelper.getOrderTags(pdict.Order)}" encoding="off"/>
```

![image](https://user-images.githubusercontent.com/15191701/53885324-15315400-4026-11e9-9e79-3c3fabbe1086.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nosto.com/salesforce/configuring/configuring-sitegenesis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
